<?php

if ( ! function_exists('chromium_dir_ocdi_import_files' ) ) {
	function chromium_dir_ocdi_import_files()
	{
		return array(

            array(
                'import_file_name'             => 'Default Demo',
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'dummy-data/demo1/sample-content.xml',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'dummy-data/demo1/sample-customizer.dat',
                'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'dummy-data/demo/sample-widgets.wie',
                'import_preview_image_url'     => '',
                'import_notice'                => esc_html__( "The imges used for demo are licensed stock images and should not be used on published sites, please replace with your own.", 'chromium-dir' ),
            ),



		);
	}
}

add_filter( 'pt-ocdi/import_files', 'chromium_dir_ocdi_import_files' );

/* Disable thumbs regeneration for faster installation */
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );

function chromium_dir_change_time_of_single_ajax_call() {
	return 20;
}
add_action( 'pt-ocdi/time_for_one_ajax_call', 'chromium_dir_change_time_of_single_ajax_call' );

/* New Intro text for Data Installer */
function chromium_intro_text( $default_text ) {
	$default_text .= '
		<div class="ocdi__intro-text">
				<p>'.esc_html__('PHP Requirements', 'chromium-dir').':</p>
				<ul>
					<li><strong>upload_max_filesize</strong> - 256M</li>
					<li><strong>max_input_time</strong> - 300</li>
					<li><strong>memory_limit</strong> - 256M</li>
					<li><strong>max_execution_time</strong> - 300</li>
					<li><strong>post_max_size</strong> - 512M</li>
				</ul>
				<p>'.esc_html__('You can always restore default values for PHP variables after installing sample data.','chromium-dir').'</p>
				<p><b>'.esc_html__('IMPORTANT', 'chromium-dir').'</b> '.esc_html__('Most of the images used for demo data are stock photos. If you wish to re-use those images on your live site please acquire a license. The list of resources is provided in the themes documentation.', 'chromium-dir').'</p>
				<p>
				<hr><b>'.esc_html__('IMPORTANT', 'chromium-dir').'</b> '.esc_html__('If your server does not have required resources to import Demo Data it will result in corrupted content, in this case you can import Demo Data manually though WordPress importer (Contact our Support if you don\'t know how to).', 'chromium-dir').'</p>
		</div>';
	return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'chromium_intro_text' );

if ( ! function_exists( 'chromium_dir_after_import_setup' ) ) {

	function chromium_dir_after_import_setup( $selected_import ){

		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'menu-main' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home Page' );
		$blog_page_id  = get_page_by_title( 'Blog' );
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );

		// Elementor Options
		update_option('elementor_container_width', '1200');
		update_option('elementor_disable_color_schemes', 'yes');
		update_option('elementor_disable_typography_schemes', 'yes');

		if ( function_exists('auto_listings_check_php_version') ) {

		    $listings_page = get_page_by_title( 'Listings' );

            $listings_page_id = ( $listings_page instanceof WP_Post) ? $listings_page->ID : 0;

            $auto_listing_options = array (
                'search_country' => 'US',
                'map_zoom' => '14',
                'map_height' => '300',
                'highlight_new_days' => '3',
                'highlight_new_color' => '#009cdd',
                'button_bg_color' => '#003774',
                'button_text_color' => '#ffffff',
                'price_color' => '#c22c16',
                'grid_columns' => '2',
                'delete_data' => 'no',
                'archives_page_title' => 'no',
                'listing_status' =>
                    array (
                        0 =>
                            array (
                                'status' => 'Low Miles',
                                'bg_color' => '#1e73be',
                                'text_color' => '#ffffff',
                                'icon' => 'auto-icon-odometer',
                            ),
                        1 =>
                            array (
                                'status' => 'Fuel Efficient',
                                'bg_color' => '#dd3333',
                                'text_color' => '#ffffff',
                            ),
                    ),
                'listing_state' =>
                    array (
                        0 =>
                            array (
                                'state' => 'Sold',
                                'text_color' => '#1e73be',
                                'hide_price' => '1',
                            ),
                        1 =>
                            array (
                                'state' => 'Reserved',
                                'text_color' => '#dd3333',
                                'hide_price' => '1',
                            ),
                    ),
                'archives_page' => $listings_page_id,
                'metric' => 'yes',
                'maps_api_key' => '',
                'currency_position' => 'left',
                'currency_symbol' => '$',
                'thousand_separator' => ',',
                'include_decimals' => 'no',
                'decimal_separator' => '.',
                'decimals' => '2',
                'list_grid_view' => 'list',
                'auto_slide' => 'yes',
                'slide_delay' => '2000',
                'slide_duration' => '1000',
                'thumbs_shown' => '6',
                'gallery_mode' => 'fade',
                'contact_form_email_type' => 'html_email',
                'contact_form_subject' => 'New enquiry on listing #{listing_id}',
                'contact_form_message' => "Hi {seller_name},There has been a new enquiry on <strong>{listing_title}</strong><hr>Name: {enquiry_name}Email: {enquiry_email}Phone: {enquiry_phone}Message: {enquiry_message}<hr>",
                'email_from' => 'example@example.com',
                'email_from_name' => 'chromium',
                'contact_form_success' => 'Thank you, we will be in touch with you soon.',
                'contact_form_error' => 'There was an error. Please try again.',
                'contact_form_include_error' => 'yes',
                'contact_icon_color' => '#b5bec4',
                'listing_icon_color' => '#b5bec4',
                'display_condition' =>
                    array (
                        0 => 'New',
                        1 => 'Used',
                        2 => 'Certified',
                    ),
                'field_display' =>
                    array (
                        0 => 'model_year',
                        1 => 'make_display',
                        2 => 'model_name',
                        3 => 'model_vehicle',
                        4 => 'model_seats',
                        5 => 'model_doors',
                        6 => 'model_drive',
                        7 => 'model_transmission_type',
                        8 => 'model_engine_fuel',
                    ),
            );



            update_option('auto_listings_options', $auto_listing_options);

        }


		// Enable Yoast breadcrumbs
		if ( class_exists('WPSEO_Installation') ) {
			$seo_defaults = get_option('wpseo_titles');
			$seo_defaults['breadcrumbs-enable'] = true;
			update_option('wpseo_titles', $seo_defaults);
		}


		switch ( $selected_import['import_file_name'] ) {
            case 'Default Demo': chromium_dir_main_setup(); break;
			default: break;
		}

	}

}

add_action( 'pt-ocdi/after_import', 'chromium_dir_after_import_setup' );


function chromium_dir_main_setup(){

    // Update megamenu options
    if ( class_exists( 'Mega_Menu' ) ) {
        $megamenu_chromium_dir_defaults = array (
            "prefix"=>"enabled",
            "descriptions"=>"enabled",
            "second_click"=>"close",
            "mobile_behaviour"=>"standard",
            "css"=>"fs",
            "unbind"=>"enabled",
            "menu-main"=>array(
                "enabled"=>"1",
                "event"=>"hover",
                "effect"=>"fade_up",
                "effect_speed"=>"200",
                "effect_mobile"=>"slide",
                "effect_speed_mobile"=>"200",
                "theme"=>"chromium_dir_default",
            ),
            "instances"=>array(
                "menu-main"=>"0",
            ),
        );
        update_option( 'megamenu_settings', $megamenu_chromium_dir_defaults );
    }


}

add_filter("megamenu_themes", "chromium_dir_import_menu_themes");


/* Menu Themes for Mega Menu */
if ( class_exists( 'Mega_Menu' ) ) :

	add_filter("megamenu_themes", "chromium_dir_import_menu_themes");

	function chromium_dir_import_menu_themes( $themes ){

        $themes["chromium_dir_default"] = array(
            'title' => 'Chromium_Dir - Main Menu',
            'container_background_from' => 'rgba(0, 0, 0, 0)',
            'container_background_to' => 'rgba(0, 0, 0, 0)',
            'container_padding_left' => '0',
            'container_padding_right' => '0',
            'arrow_up' => 'dash-f343',
            'arrow_down' => 'dash-f347',
            'arrow_left' => 'dash-f341',
            'arrow_right' => 'dash-f345',
            'menu_item_align' => 'center',
            'menu_item_background_hover_from' => 'rgba(0, 0, 0, 0)',
            'menu_item_background_hover_to' => 'rgba(0, 0, 0, 0)',
            'menu_item_link_font_size' => '15px',
            'menu_item_link_height' => '49px',
            'menu_item_link_color' => 'rgb(13, 13, 13)',
            'menu_item_link_weight' => 'inherit',
            'menu_item_link_text_transform' => 'uppercase',
            'menu_item_link_text_align' => 'center',
            'menu_item_link_color_hover' => 'rgb(34, 34, 34)',
            'menu_item_link_weight_hover' => 'inherit',
            'menu_item_link_padding_left' => '15px',
            'menu_item_link_padding_right' => '15px',
            'menu_item_border_color' => 'rgba(0, 0, 0, 0)',
            'menu_item_border_color_hover' => 'rgba(0, 0, 0, 0)',
            'panel_background_from' => 'rgb(255, 255, 255)',
            'panel_background_to' => 'rgb(255, 255, 255)',
            'panel_header_border_color' => '#555',
            'panel_widget_padding_left' => '0',
            'panel_widget_padding_right' => '0',
            'panel_widget_padding_top' => '0',
            'panel_widget_padding_bottom' => '0',
            'panel_font_size' => '14px',
            'panel_font_color' => '#666',
            'panel_font_family' => 'inherit',
            'panel_second_level_font_color' => '#555',
            'panel_second_level_font_color_hover' => '#555',
            'panel_second_level_text_transform' => 'uppercase',
            'panel_second_level_font' => 'inherit',
            'panel_second_level_font_size' => '16px',
            'panel_second_level_font_weight' => 'bold',
            'panel_second_level_font_weight_hover' => 'bold',
            'panel_second_level_text_decoration' => 'none',
            'panel_second_level_text_decoration_hover' => 'none',
            'panel_second_level_border_color' => '#555',
            'panel_third_level_font_color' => '#666',
            'panel_third_level_font_color_hover' => '#666',
            'panel_third_level_font' => 'inherit',
            'panel_third_level_font_size' => '14px',
            'flyout_width' => 'auto',
            'flyout_menu_background_from' => 'rgb(255, 255, 255)',
            'flyout_menu_background_to' => 'rgb(255, 255, 255)',
            'flyout_link_padding_left' => '20px',
            'flyout_link_padding_right' => '20px',
            'flyout_link_padding_top' => '15px',
            'flyout_link_padding_bottom' => '15px',
            'flyout_link_weight' => 'inherit',
            'flyout_link_weight_hover' => 'inherit',
            'flyout_link_height' => '10px',
            'flyout_background_from' => 'rgb(255, 255, 255)',
            'flyout_background_to' => 'rgb(255, 255, 255)',
            'flyout_background_hover_from' => 'rgb(247, 247, 247)',
            'flyout_background_hover_to' => 'rgb(247, 247, 247)',
            'flyout_link_size' => '14px',
            'flyout_link_color' => 'rgb(13, 13, 13)',
            'flyout_link_color_hover' => 'rgb(13, 13, 13)',
            'flyout_link_family' => 'inherit',
            'responsive_breakpoint' => '768px',
            'shadow' => 'on',
            'shadow_horizontal' => '2px',
            'shadow_vertical' => '5px',
            'shadow_blur' => '8px',
            'toggle_background_from' => 'rgba(255, 255, 255, 0.1)',
            'toggle_background_to' => 'rgba(255, 255, 255, 0.1)',
            'toggle_font_color' => 'rgb(13, 13, 13)',
            'toggle_bar_height' => '49px',
            'mobile_menu_padding_left' => '10px',
            'mobile_menu_padding_right' => '10px',
            'mobile_menu_padding_top' => '10px',
            'mobile_menu_overlay' => 'on',
            'mobile_menu_force_width' => 'on',
            'mobile_background_from' => 'rgb(255, 255, 255)',
            'mobile_background_to' => 'rgb(255, 255, 255)',
            'mobile_menu_item_link_font_size' => '14px',
            'mobile_menu_item_link_color' => 'rgb(13, 13, 13)',
            'mobile_menu_item_link_text_align' => 'left',
            'mobile_menu_item_link_color_hover' => 'rgb(13, 13, 13)',
            'mobile_menu_item_background_hover_from' => 'rgb(255, 255, 255)',
            'mobile_menu_item_background_hover_to' => 'rgb(255, 255, 255)',
            'mobile_menu_off_canvas_width' => '100%',
            'custom_css' => '@include mobile{
	#{$wrap} #{$menu} > li.mega-menu-megamenu > ul.mega-sub-menu{
		box-shadow: none;
	}
}',
        );



		return $themes;

	}

endif;