<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package dici
 */

?>

<?php do_action( 'chromium_dir_before_post', get_post_format(get_the_ID()), is_sticky(get_the_ID()) ); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
    <?php chromium_dir_post_thumbnail(); ?>
    <section class="<?php echo esc_attr( 'chromium-dir-post-inner' ); ?>" <?php esc_html_e(is_sticky(get_the_ID()) ? 'data-sticky='.esc_attr_x( 'Featured', 'post', 'chromium-dir' ) : '') ?>>

        <header class="entry-header">

            <?php
            if ( 'post' === get_post_type() ) :
                ?>

                <div class="entry-meta">
                    <?php
                        chromium_dir_posted_on();
                        chromium_dir_posted_by();
                        esc_html_e('in', 'chromium-dir');
                        chromium_dir_entry_categories();
                    ?>
                </div><!-- .entry-meta -->

            <?php endif; ?>

            <?php
            if ( is_singular() ) :
                the_title( '<h1 class="entry-title">', '</h1>' );
            else :
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
            endif;
            ?>
        </header><!-- .entry-header -->

        <div class="entry-content">

            <?php if ( 'grid' === get_theme_mod('blog_posts_layout', 'list') ) : ?>
                <?php  the_excerpt() ?>
                <?php else : ?>
                <?php
                the_content(sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        '%1$s<span class="screen-reader-text"> "%2$s"</span>',
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    esc_html__('Continue Reading', 'chromium-dir'),
                    get_the_title()
                ));

                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'chromium-dir' ),
                    'after'  => '</div>',
                ) );
                ?>
            <?php endif; ?>
        </div><!-- .entry-content -->
        <?php if ( ( 'classy' === get_theme_mod('blog_posts_style', 'classy') && ( 'grid' !== get_theme_mod( 'blog_posts_layout', 'list' ) ) ) ) : ?>
            <div class="entry-meta">
                <?php
                chromium_dir_entry_tags();
                chromium_dir_comment_link();
                ?>
            </div><!-- .entry-meta -->
        <?php endif; ?>
    </section>
</article><!-- #post-<?php the_ID(); ?> -->
<?php do_action( 'chromium_dir_after_post' ); ?>
